/* table {
    padding: 20px;
} */

body {
  background: url("mainBackground.jpg") no-repeat;
  font-family: sans-serif;
}

.hidden {
  display: none !important;
}

table {
  padding: 2px;
  background-color: #2a2828;
  border-radius: 5px;
}

h2 {
  color: #fff;
  text-align: center;
}

td {
  width: 50px;
  height: 50px;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  background-image: url("f.jpg");
}

td>span {
  display: inline-block;
  width: 70%;
  height: 70%;
  background-repeat: no-repeat;
  background-size: 100% 100%;
  padding: 15%;
}

td.field {
  background-image: url("f.jpg");
}

td.monster>span {
  background-image: url("m.png");
}

td.wall {
  background-image: url("w.jpg");
}

td.box {
  background-image: url("b.png");
}

td.bomb>span {
  background-image: url("bo.png");
}

td.explosion>span {
  background-image: url("explosion.png");
}

td.playerOne>span {
  background-image: url("player1.png");
}

td.playerTwo>span {
  background-image: url("player2.png");
}

td.bombip>span {
  background-image: url("playerip.png");
}

td.boxip>span {
  background-image: url("playerip.png");
}

td.curse>span {
  background-image: url("skull.png");
}

td.invincible>span {
  background-image: url("inv.png");
}

td.detonator>span {
  background-image: url("detonator.png");
}

td.rollerskate>span {
  background-image: url("Rollerskate.png");
}

td.ghost>span {
  background-image: url("ghost.png");
}

td.placeBoxes>span {
  background-image: url("boxPowerup.png");
}

td.increaseBlastRange>span {
  background-image: url("blastPowerup.png");
}

td.increaseBombsNumber>span {
  background-image: url("bomPowerup.png");
}



.container {
  padding: 40px 100px;
  display: flex;
  flex-wrap: nowrap;
  justify-content: center;
}

pop-ups .grid-background {
  display: grid;
  grid-template-columns: repeat(auto-fill,
      minmax(100px, 1fr));
  grid-gap: 10px;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 500;
  background-color: #f0f0f0;
}

.popup {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  position: fixed;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  background-color: white;
  padding: 20px;
  border: 1px solid #ddd;
  z-index: 1000;
  width: auto;
  min-width: 200px;
}

.popup p {
  margin-top: 0;
  margin-bottom: 20px;
}

.button-container {
  display: flex;
  justify-content: center;
}

.popup button {
  margin: 5px;
  padding: 10px 20px;
}

.leftPart {
  width: 50%;
  height: 100%;
  justify-content: center;
  align-items: center;
  padding-left: 3%;

}

/* Styling for the title image */
.TitelImage {
  width: 120%;
  height: 100px;
  margin: 5% 5%;
  background-image: url('title.png');
  background-size: contain;
  background-repeat: no-repeat;
  background-position: left;

}

/* Styling for the vertical menu */
.vmenu {
  width: 100%;
  margin: 5% 15%;
  text-align: left;
}

.vmenu h1 {
  color: #333;
}

.vmenu ul {
  list-style-type: none;
  padding: 0;
}

.vmenu li {
  margin-bottom: 10px;
  /* Adjust space between list items */
}

.vmenu li a {
  display: block;
  padding: 10px;
  font-family: Fantasy;
  letter-spacing: 1px;
  color: #ba0101;
  /* Text color */
  text-decoration: none;
  /* Removes the underline effect */
  transition: color 0.3s;
  /* Smooth color transition */
}

/* Changes the text color when you hover over the list items */
.vmenu li a:hover {
  color: #f90202;
}


.menu {
 width: 33%;
 float: left;
}

.map {
  width: 67%;
}

.active {}